Package org.eclipse.ui.views.properties

# Class NewPropertySheetHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.ui.views.properties.NewPropertySheetHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`

public class NewPropertySheetHandler extends AbstractHandler

Since:
  3.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID`
Command id

## Constructor Summary

Constructors
Constructor
Description
`NewPropertySheetHandler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(ExecutionEvent event)`
First tries to find a suitable instance to reuse for the given context, then creates a new instance if necessary.
`protected PropertySheet`
`findPropertySheet(ExecutionEvent event, PropertyShowInContext context)`
Returns a PropertySheet instance
`protected PropertyShowInContext`
`getShowInContext(ExecutionEvent event)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID

public static final String ID
Command id

See Also:
  - Constant Field Values

## Constructor Details

### NewPropertySheetHandler

public NewPropertySheetHandler()

## Method Details

### execute

public Object execute(ExecutionEvent event) throws ExecutionException
First tries to find a suitable instance to reuse for the given context, then creates a new instance if necessary.

Parameters:
  `event` - An event containing all the information about the current state of the application; must not be `null`.
Returns:
  an instance for the given context
Throws:
  `ExecutionException` - if an exception occurred during execution.
See Also:
  - `IHandler.execute(org.eclipse.core.commands.ExecutionEvent)`

### getShowInContext

protected PropertyShowInContext getShowInContext(ExecutionEvent event) throws ExecutionException

Parameters:
  `event` - `ExecutionEvent` for which the `PropertyShowInContext` is requested
Returns:
  a `PropertyShowInContext` containing the the `ISelection` and `IWorkbenchPart` for the given `ExecutionEvent`
Throws:
  `ExecutionException` - If the active part variable is not found.

### findPropertySheet

protected PropertySheet findPropertySheet(ExecutionEvent event, PropertyShowInContext context) throws PartInitException, ExecutionException
Returns a PropertySheet instance

Parameters:
  `event` - `ExecutionEvent` for which the `PropertySheet` is requested
  `context` - a `ShowInContext` to handle
Returns:
  a PropertySheet that can handle the given `ShowInContext`
Throws:
  `PartInitException` - if the view could not be initialized
  `ExecutionException` - If the active part variable is not found.